import React from 'react'
import { Typography } from '@material-ui/core'

import { ExpansionItem, ExpansionSummary, ExpansionDetails, ExpansionDetailsLast, Container, Divider } from './styles'
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';

export default function(props) {
    const [expanded, setExpanded] = React.useState('panel1');
    const { texts } = props
  
    const handleChange = (panel) => (event, newExpanded) => {
      setExpanded(newExpanded ? panel : false);
    }
  
    return (
        <Container>
        {
            texts.map((item, index) => {
                return (
                    <>
                        <ExpansionItem square expanded={expanded === `panel${index+1}`} onChange={handleChange(`panel${index+1}`)}>
                            {
                                index === texts.length-1?
                                <ExpansionSummary expandIcon={<ExpandMoreIcon />} aria-controls={`panel${index+1}d-content`} id={`panel${index+1}d-header`}>
                                    <Typography>
                                        <strong>{item.title}</strong>
                                    </Typography>
                                </ExpansionSummary>
                                :
                                <ExpansionSummary expandIcon={<ExpandMoreIcon />} aria-controls={`panel${index+1}d-content`} id={`panel${index+1}d-header`}>
                                    <Divider expanded={expanded === `panel${index+1}`}/>
                                    <Typography>
                                        <strong>{item.title}</strong>
                                    </Typography>
                                </ExpansionSummary>
                            }                            
                            {
                                index === texts.length-1?
                                <ExpansionDetailsLast>
                                    <Typography>
                                        {item.text}
                                    </Typography>
                                </ExpansionDetailsLast>
                                :
                                <ExpansionDetails>
                                    <Typography>
                                        {item.text}
                                    </Typography>
                                </ExpansionDetails>
                            }                            
                        </ExpansionItem>
                    </>
                )
            })
        }
        </Container>
    );
  }