import styled from 'styled-components'

export const DialogStyles = styled.div`    
    hr {
        height: 5px;
    }
`

export const DialogButton = styled.button`
    width: 2.5rem;
    border-radius: 50%;
    background: ${props => props.theme.palette.background.main};
    padding: 0;
    transition: 200ms ease;
    border: none;
    cursor: pointer;

    @media(min-width: 900px) {
        width: 3rem;
    }

    @media(min-width: 1800px) {
        width: 4rem;
    }

    &:hover {
        background: ${props => props.theme.palette.drawer.light};        
        transform: scale(1.1);
    }

    &:focus {
        outline: none;
    }

    img {
        width: 100%;        
    }

    ${props => props.clicked? "filter: grayscale(100%)": ""};
`

export const CloseButton = styled.button`
    background: transparent;
    border: none;
    
    &:focus {
        outline: none;
    }

    img {
        width: 2rem;
    }
`