import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Attention from "../../components/Attention"

import { Content, StyledContainer } from "./styles"

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">Apresentação</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1">
              Olá, aluna(o)!
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                Fazer a gestão do Sistema Único de Saúde (SUS) é um grande
                desafio. Cabe às três esferas de governo, municipal, estadual e
                federal, de maneira conjunta, realizar o planejamento de curto e
                médio prazo, aplicar os recursos orçamentários e financeiros e
                promover a articulação de políticas de saúde, entre outras ações.
                <br/><br/>
              </Typography>
              <Typography variant="body1" className="indented">
                O planejamento consiste em uma estratégia que visa estabelecer
                objetivos, metas e ações de forma a ampliar a eficiência, a
                eficácia e a efetividade das políticas de saúde. Mas você sabe
                qual é a importância do planejamento? Como ocorre na prática o
                planejamento das ações de saúde?
                <br/><br/>
              </Typography>
              <Typography variant="body1" className="indented">
                Neste infográfico interativo você aprenderá o processo de
                planejamento em saúde com ênfase no reconhecimento dos
                instrumentos essenciais para gestão do SUS e gestão orçamentária
                governamental.
              </Typography>
            </Box>
            <Box className="objective">
              <Attention type="objetivo">
                <Typography variant="body1">
                  Ao final deste material, você será capaz de identificar os
                  instrumentos essenciais para a gestão e o planejamento do SUS.
                </Typography>              
              </Attention>            
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/" next="/p2" />
    </StyledContainer>
  )
}
