import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin-bottom: 0;
    }    
  }

  .objective {
    padding: 0;
    margin: 0;

    @media(min-width: 900px) {
      min-height: 17.5vh;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`
