import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, animationstyles, fontstyles, contentstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${animationstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem;

  ${contentstyles};
  
  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {    
    display: flex;
    flex-direction: column;     
  }

  .panel {
    flex-grow: 1;
    display: flex;
    align-items: center;
  }

  .bottom {    
    display: flex;
    flex-direction: column;

    @media(min-width: 900px) {
      flex-direction: row;
    }

    @media(min-width: 900px) and (min-height: 900px) {
      max-height: fit-content;
    }
  }

  .bottom .buttons {
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 1rem;

    @media(min-width: 900px) {
      margin: 0;
      flex-direction: column;  
      justify-content: center;
      flex-wrap: inherit;
      width: 20%;
    }
  }

  .bottom .content {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    /* border: 4px solid ${props => props.theme.palette.primary.main}; */
    border-radius: 1rem;    

    @media(min-width: 900px) {
      margin-left: 1rem;
      padding: .5rem;
      width: 80%;
    }   

    .imagecontent {
      width: 100%;
      animation: fadeup 250ms;
      display: flex;
      align-items: center;
      justify-content: center;

      img {
        width: 100%;

        @media(min-width: 900px) {
          max-width: 600px
        }

        @media(min-width: 900px) and (min-height: 900px) {
          max-width: 1000px;
        }
      }
    }
  }

  .pin .pin-icon {
    position: absolute;
    top: -1rem;
    right: -1rem;
    width: 3rem;

    @media(min-width: 1800px) {
      top: -2rem;
      right: -2rem;
      width: 5rem;
    }

    img {
      width: 100%;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`