import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Attention from "../../components/Attention"

import { Content, StyledContainer } from "./styles"

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">
              Instrumentos de planejamento do SUS
            </Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                A análise da situação de saúde, como parte da elaboração do Plano
                de Saúde, tem papel central para a concretização da concepção
                ampliada de saúde, assim como para a orientação das decisões para
                as necessidades de saúde da população. Como já sabemos, a situação
                de saúde ultrapassa a condição de ausência de doença.
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                Para esta etapa é imprescindível o uso das informações em saúde
                como subsídio para a caracterização da situação de saúde.
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                O SUS disponibiliza uma série de sistemas de informação que podem
                fundamentar o planejamento e a tomada de decisões.
              </Typography>
            </Box>
            <Box className="objective">
              <Attention type="parasaber">
                <Typography variant="body1">
                  <strong>O que encontramos nos sistemas de informação?</strong>
                  <br />
                  <br />
                </Typography>
                <Typography variant="body1">
                  Indicadores de saúde; Informações de assistência à saúde no SUS
                  (internações hospitalares, produção ambulatorial, imunização e
                  atenção básica); Rede assistencial (hospitalar e ambulatorial);
                  Morbidade por local de internação e residência dos atendidos
                  pelo SUS; Estatísticas vitais (mortalidade e nascidos vivos);
                  Recursos financeiros, informações demográficas, epidemiológicas
                  e socioeconômicas.
                  
                </Typography>
                <Typography variant="body1">
                <br/>
                
                  Uma robusta base de dados pode ser acessada no{" "}
                  <a
                    href="https://datasus.saude.gov.br/"
                    target="_blank"
                    rel="noopener noreferrer"
                  >
                    site
                  </a>{" "}
                  do Departamento de Informática do SUS.
                </Typography>
              </Attention>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p10" next="/p12" />
    </StyledContainer>
  )
}
