import React from "react"
import { Typography, Box } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"

import { Content, StyledContainer } from "./styles"

export default function () {
  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">Considerações finais</Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              <Typography variant="body1" className="indented">
                Durante o processo de planejamento são definidas prioridades para
                a mobilização de recursos e esforços em prol de objetivos
                estabelecidos.
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                Neste contexto, os instrumentos de planejamento têm por finalidade
                apoiar os gestores na condução do SUS no âmbito de seu território,
                de modo a orientar os processos do sistema de saúde em seus
                diversos espaços.
                <br />
                <br />
              </Typography>
              <Typography variant="body1" className="indented">
                Neste infográfico interativo, você conheceu os instrumentos de
                gestão do SUS e de gestão orçamentária governamental e também a
                importância do processo de planejamento.
                <br />
                <br />
              </Typography>
              <Typography variant="body1">Até a próxima!</Typography>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p12" />
    </StyledContainer>
  )
}
