import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, fontstyles, contentstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: 1rem;

    @media(min-width: 900px) {
      padding-top: .5rem;
    }

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;     
  }

  .indented {
    text-indent: 2rem;
  }
`
