import styled from 'styled-components'
import { Box } from '@material-ui/core'

import { containerstyles, contentstyles, fontstyles } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  ${containerstyles};
  ${fontstyles};
`

export const Content = styled(Box)`
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: 1rem;

  ${contentstyles};

  .wrapper {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding-top: .75rem;

    @media(min-width: 900px) and (min-height: 900px){
      padding-top: 2.5rem;
    }
  }

  .text {
    flex-grow: 1;
    display: flex;
    flex-direction: column;     
  }

  .bottom {
    display: block;    

    @media(min-width: 900px) {
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      flex-direction: row;
    }

    @media(min-width: 900px) and (min-height: 900px) {
      max-height: fit-content;
    }
  }

  .image, .pin, .pin-content {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .image {
    flex-grow: 1;    

    img {
      width: 100%;
      height: 100%;
      max-width: 300px;
      object-fit: contain;

      @media(min-width: 900px) and (min-height: 900px){
        max-width: 100%;
      }
    }
  }

  .pin {
    margin: 1rem 0;

    @media(min-width: 900px) {
      margin: 0;
      max-width: 70%;      
    }   
  }

  .pin .pin-content {
    position: relative;
    background: ${props => props.theme.palette.primary.main};
    color: ${props => props.theme.palette.background.main};
    box-shadow: -7px 7px 0px 0px rgba(0,0,0,0.2);
    border-radius: 2rem;
    width: 90%;
    height: 100%;
    padding: 1.5rem;

    @media(min-width: 900px) {
      height: 85%;
      padding: 0 2rem;
    }

    @media(min-width: 900px) {
      height: 70%;
    }
  }

  .pin .pin-icon {
    position: absolute;
    top: -1rem;
    right: -1rem;
    width: 3rem;

    @media(min-width: 1800px) {
      top: -2rem;
      right: -2rem;
      width: 5rem;
    }

    img {
      width: 100%;
    }
  }

  .indented {
    text-indent: 2rem;
  }
`
