import React from "react"
import { Typography, Box, useMediaQuery } from "@material-ui/core"

import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Accordion from "../../components/Accordion"

import { Content, StyledContainer } from "./styles"

export default function () {
  const web = useMediaQuery('(min-width: 900px) and (min-height: 900px)')  

  const PPA = () => {
    return (
      <Typography variant="body1">
        Diretrizes, objetivos e metas do governo para quatro anos. Descreve
        diretrizes, objetivos, metas, programas e ações que resultarão em bens e
        serviços para a população. Vigência: do segundo ano do governo vigente
        ao primeiro ano do governo sucessor.
      </Typography>
    )
  }

  const LDO = () => {
    return (
      <Typography variant="body1">
        Relaciona as diretrizes e metas prioritárias do PPA com a viabilidade
        orçamentária subsequente ao exercício. Orienta a criação da Lei
        Orçamentária Anual.
      </Typography>
    )
  }

  const LOA = () => {
    return (
      <Typography variant="body1">
        Descreve as ações a
        serem realizadas pelo governo, define as receitas e autoriza os gastos
        para a execução, em consonância com o PPA e a LDO.
      </Typography>
    )
  }

  const texts = [
    {
      title: "Plano Plurianual (PPA)",
      text: <PPA />,
    },
    {
      title: "Lei de Diretrizes Orçamentárias (LDO)",
      text: <LDO />,
    },
    {
      title: "Lei Orçamentária Anual (LOA)",
      text: <LOA />,
    },
  ]

  return (
    <StyledContainer>
      <Header />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h3">
              Instrumentos de planejamento do SUS
            </Typography>
          </Box>
          <Box className="wrapper">
            <Box className="text">
              {
                web?
                <Typography variant="body1" className="indented">
                  Os instrumentos de gestão dão subsídio não somente à gestão do
                  SUS, mas também à definição do orçamento governamental. Por isso,
                  o cronograma e os prazos que regem esses instrumentos estão
                  intimamente relacionados ao cronograma dos instrumentos do
                  orçamento do governo, que são:
                  <br/><br/>
                </Typography>
                :
                <Typography variant="body1" className="indented">
                  Os instrumentos de gestão dão subsídio não somente à gestão do
                  SUS, mas também à definição do orçamento governamental. Por isso,
                  o cronograma e os prazos que regem esses instrumentos estão
                  intimamente relacionados ao cronograma dos instrumentos do
                  orçamento do governo, que são:
                </Typography>
              }              
              {/* <Typography variant="body1" className="indented">
                <strong>Clique</strong> nos botões abaixo para conhecer quatro os
                instrumentos de planejamento
                <Reference num={4} onClick={() => openRef(4)} />:
                
              </Typography> */}
            </Box>
            <Box className="accordion">
              <Box className="placement">
                <Accordion texts={texts} />
              </Box>
            </Box>
          </Box>
        </Content>
      </Box>
      <Footer prev="/p7" next="/p9" />
    </StyledContainer>
  )
}
